Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001549KdenliveFile Loadingpublic2010-04-10 13:192010-09-21 19:14
Reporterfoobar123 
Assigned Toddennedy 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSKubuntu LinuxOS Version9.10
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001549: Crash when loading Lossless Matroska clip
DescriptionHi.

When trying to load an OGV file transcoded to Lossless Matroska, Kdenlive crashes.

I'm using version (from About dialog):
"Kdenlive
Version 0.7.8
Using KDE Development Platform 4.4.2 (KDE 4.4.2)"

Although I have the debug symbols installed, I can't seem to generate a useful backtrace. This is how the backtrace looks like:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0xb787e700 (LWP 8030))]

Thread 4 (Thread 0xb5640b70 (LWP 8043)):
#0 0x00bb6422 in __kernel_vsyscall ()
#1 0x01c89a71 in select () from /lib/tls/i686/cmov/libc.so.6
0000002 0x02c46cef in QProcessManager::run (this=0x2d80890) at io/qprocess_unix.cpp:245
0000003 0x02b6836e in QThreadPrivate::start (arg=0x2d80890) at thread/qthread_unix.cpp:248
0000004 0x0021b80e in start_thread (arg=0xb5640b70) at pthread_create.c:300
0000005 0x01c908de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xb20ffb70 (LWP 8293)):
#0 0x00bb6422 in __kernel_vsyscall ()
#1 0x00220142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
0000002 0x00982269 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.2
0000003 0xb20ff1c8 in ?? ()
0000004 0x00000000 in ?? ()

Thread 2 (Thread 0xb10fdb70 (LWP 8294)):
#0 0x00bb6422 in __kernel_vsyscall ()
#1 0x0021fe15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
0000002 0x0786546f in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb787e700 (LWP 8030)):
[KCrash Handler]
0000006 0x025a7798 in ?? () from /usr/lib/mlt/libmltavformat.so
0000007 0x093e3c28 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

In the hope that it can be easily reproduced, I've uploaded the Lossless Matroska file I'm trying to load:
http://tumbetoene.tuxfamily.org/temp/kdenlive/capture0005.ogv.mkv [^]

It was generated in Kdenlive, by right-clicking on the clip in the Project Tree and selecting Transcode -> Lossless Matroska, from this file:
http://tumbetoene.tuxfamily.org/temp/kdenlive/capture0005.ogv [^]

And this is the project file I've been using:
http://tumbetoene.tuxfamily.org/temp/kdenlive/transcodecrash.kdenlive [^]

If you need any other information, let me know.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0005087)
ddennedy (developer)
2010-05-01 07:39

I am not getting a crash when I load the matroska I created from your ogv or another 720x576 file I have. However, the latter does give me distorted audio, which indicates a problem that could be causing memory corruption.
(0005870)
ddennedy (developer)
2010-09-21 18:35

Fixed in mlt git commit 713917b4b.

- Issue History
Date Modified Username Field Change
2010-04-10 13:19 foobar123 New Issue
2010-05-01 07:37 ddennedy Assigned To => ddennedy
2010-05-01 07:37 ddennedy Status new => assigned
2010-05-01 07:39 ddennedy Note Added: 0005087
2010-09-21 18:35 ddennedy Note Added: 0005870
2010-09-21 18:35 ddennedy Status assigned => resolved
2010-09-21 18:35 ddennedy Fixed in Version => 0.7.8
2010-09-21 18:35 ddennedy Resolution open => fixed
2010-09-21 19:14 ttill Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker